6.0.0-git
2019-04-25

[#8501] Portal link is broken
Summary Portal link is broken
Queue Horde Base
Queue Version HEAD
Type Bug
State Resolved
Priority 2. Medium
Owners slusarz (at) horde (dot) org
Requester jan (at) horde (dot) org
Created 2009-08-18 (3537 days ago)
Due
Updated 2017-09-06 (596 days ago)
Assigned 2009-08-19 (3536 days ago)
Resolved 2009-08-24 (3531 days ago)
Milestone
Patch No

History
2017-09-06 08:18:04 Git Commit Comment #14 Reply to this comment
Changes have been made in Git (master):

commit 3d8e58f7acf3df4d089f7ded4401e6ecc8d3057e
Author: Moritz Venn <ritzmo@php.net>
Date:   Fri Aug 18 13:25:02 2006 +0000

     Fix Bug #8501 (thanks Brian)


     git-svn-id: 
https://svn.php.net/repository/pear/packages/Text_Wiki/trunk@218426 
c90b9560-bf6c-de11-be94-00142212c4b1

  Text/Wiki/Parse/Mediawiki/Subscript.php   | 2 +-
  Text/Wiki/Parse/Mediawiki/Superscript.php | 2 +-
  Text/Wiki/Parse/Mediawiki/Tt.php          | 2 +-
  3 files changed, 3 insertions(+), 3 deletions(-)

http://github.com/horde/horde/commit/3d8e58f7acf3df4d089f7ded4401e6ecc8d3057e
2009-08-24 03:26:00 Michael Slusarz State ⇒ Resolved
 
2009-08-19 21:54:12 Michael Slusarz Comment #12 Reply to this comment
[Fix quoting]
The only thing is now there is no way to get back to the frameset if
you are logged in and for some reason either navigate away from Horde
or attempt to open another browser window/tab with Horde in it.
Framesets are (supposed to be) going away, so I could care less about

this behavior.  At a minimum, this would require javascript on every

single page which seems like overkill.


2009-08-19 21:53:30 Michael Slusarz Comment #11 Reply to this comment
What is your value of registry->horde->initial_page?  it should be
either login.php or index.php.  (frames should be irrelevant).
That was my issue - my initial_page setting was login.php so it was
correctly determining I was already authenticated and was setting the
proper variable.  However, if initial_page was index.php, it wasn't
checking for previous authentication.  Try this latest fix.
Framesets are (supposed to be) going away, so I could care less about 
this behavior.  At a minimum, this would require javascript on every 
single page which seems like overkill.
2009-08-19 21:29:49 Michael Rubinsky Comment #10 Reply to this comment
yup. mine was set to index.php. The latest patch fixed the issue for me.



The only thing is now there is no way to get back to the frameset if 
you are logged in and for some reason either navigate away from Horde 
or attempt to open another browser window/tab with Horde in it.
2009-08-19 21:20:47 Michael Slusarz Comment #9 Reply to this comment
What is your value of registry->horde->initial_page?  it should be
either login.php or index.php.  (frames should be irrelevant).
That was my issue - my initial_page setting was login.php so it was 
correctly determining I was already authenticated and was setting the 
proper variable.  However, if initial_page was index.php, it wasn't 
checking for previous authentication.  Try this latest fix.
2009-08-19 21:07:20 Michael Slusarz Comment #7 Reply to this comment
AFAIKT, the issue is in portal/sidebar.php, when the Horde_Tree is
created, the target is set to always be horde_main. This makes sense
for every link in the sidebar *except* the 'Horde' item.
What is your value of registry->horde->initial_page?  it should be 
either login.php or index.php.  (frames should be irrelevant).



In fact, we shouldn't be using initial_page at all.  Everything needs 
to get routed through index.php or login.php to work correctly anyway.
2009-08-19 21:06:18 Michael Rubinsky Comment #6 Reply to this comment
eh, nevermind. I realized after I submitted, that this makes no sense :)
2009-08-19 20:50:28 Michael Rubinsky Comment #5 Reply to this comment
AFAIKT, the issue is in portal/sidebar.php, when the Horde_Tree is 
created, the target is set to always be horde_main. This makes sense 
for every link in the sidebar *except* the 'Horde' item.


2009-08-19 20:43:54 Michael Rubinsky Comment #4 Reply to this comment
I'm still seeing this. Using Application/IMP auth if that matters...
2009-08-19 17:43:40 Michael Slusarz Comment #3
State ⇒ Feedback
Reply to this comment
Should be fixed.
2009-08-18 08:59:33 Jan Schneider Comment #1
Type ⇒ Bug
State ⇒ Assigned
Priority ⇒ 2. Medium
Summary ⇒ Portal link is broken
Queue ⇒ Horde Base
Assigned to Michael Slusarz
Milestone ⇒
Patch ⇒ No
Reply to this comment
Clicking on the portal (Horde) link in the sidebar loads the complete 
frameset again in the right frame.

Saved Queries